Summary:	A utility for getting files from remote servers (FTP, HTTP, and others).		
Name: 		curl7155
Version: 	7.15.5
Release: 	17.el4.8.2
License: 	GPL
Group: 		Utilities
Source0: 	%{name}-%{version}.tar.bz2
URL:		http://curl.haxx.se/
Distribution:	RedHat-Fedora
Vendor:	        Dr. Linux	
Packager:	R.W.H. Vermare <rene@vermare.nl>
BuildRoot: 	%{_tmppath}/%{name}-buildroot

BuildRequires: bash, binutils, ncurses, make, tar, glibc


%define _unpackaged_files_terminate_build       1
%define _missing_doc_files_terminate_build      1
%define _smp_mflags -j4
%define _target_platform i686-pc-linux-gnu

%description
cURL is a tool for getting files from FTP, HTTP, Gopher, Telnet, and
Dict servers, using any of the supported protocols. cURL is designed
to work without user interaction or any kind of interactivity. cURL
offers many useful capabilities, like proxy support, user
authentication, FTP upload, HTTP post, and file transfer resume.

%prep
rm -rf $RPM_BUILD_DIR/%{name}*
rm -rf %{buildroot}

%setup -q -n %{name}-%{version}

#%patch

mkdir -p %{buildroot}/usr/lib %{buildroot}/usr/share/man/man1 \
%{buildroot}/usr/share/doc/curl-%{version}
cp usr/lib/libcurl.so.3.0.0 %{buildroot}/usr/lib
cp usr/share/doc/curl-%{version}/* %{buildroot}/usr/share/doc/curl-%{version}

%clean
rm -rf $RPM_BUILD_DIR/%{name}*
rm -rf %{buildroot}

%post
if test -s /usr/lib/libcurl.so.3; then
echo "Symlinks already exists"
else
ln -s /usr/lib/libcurl.so.3.0.0 /usr/lib/libcurl.so.3
fi

%preun
if test -s /usr/lib/libcurl.so.3; then
rm -f /usr/lib/libcurl.so.3
fi

%files
%defattr(-,root,root)
/usr/lib/libcurl.so.3.0.0
/usr/share/doc/curl-7.15.5/CHANGES
/usr/share/doc/curl-7.15.5/RESOURCES
/usr/share/doc/curl-7.15.5/COPYING
/usr/share/doc/curl-7.15.5/README
/usr/share/doc/curl-7.15.5/FEATURES
/usr/share/doc/curl-7.15.5/FAQ
/usr/share/doc/curl-7.15.5/BUGS
/usr/share/doc/curl-7.15.5/TODO
/usr/share/doc/curl-7.15.5/MANUAL
/usr/share/doc/curl-7.15.5/TheArtOfHttpScripting

%changelog
* Wed Dec 20 2017 René Vermare <rene@vermare.net> - 7.15.5-17-2
- Build version 7.15.5-17-2; create symlink for libcurl.so.3.0.0

* Tue Dec 19 2017 René Vermare <rene@vermare.net> - 7.15.5-17
- Build version 7.15.5-17
